FTBufferGlyph Class Reference

FTBufferGlyph is a specialisation of FTGlyph for memory buffer rendering. More...

`#include <FTBufferGlyph.h>`

Inheritance diagram for FTBufferGlyph:

## Public Member Functions

| FTBufferGlyph (FT_GlyphSlot glyph, FTBuffer *buffer)
| Constructor.
virtual | ~FTBufferGlyph ()
| Destructor.
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position.
Public Member Functions inherited from FTGlyph
virtual | ~FTGlyph ()
| Destructor.
virtual float | Advance () const
| Return the advance width for this glyph.
virtual const FTBBox & | BBox () const
| Return the bounding box for this glyph.
virtual FT_Error | Error () const
| Queries for errors.

## Additional Inherited Members

Protected Member Functions inherited from FTGlyph
| FTGlyph (FT_GlyphSlot glyph)
| Create a glyph.

## Detailed Description

FTBufferGlyph is a specialisation of FTGlyph for memory buffer rendering.

Definition at line 40 of file FTBufferGlyph.h.

## Constructor & Destructor Documentation

## FTBufferGlyph()

FTBufferGlyph::FTBufferGlyph | ( | FT_GlyphSlot | glyph,
|  | FTBuffer * | buffer
| ) |  |

Constructor.

Parameters

  glyph | The Freetype glyph to be processed
  buffer | An FTBuffer object in which to render the glyph.

## ~FTBufferGlyph()

virtual FTBufferGlyph::~FTBufferGlyph | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## Render()

virtual const FTPoint & FTBufferGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode
| ) |  |

virtual

Render this glyph at the current pen position.

Parameters

  pen | The current pen position.
  renderMode | Render mode to display

Returns
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTBufferGlyph.h